<?php
/*
Version: 1.0.0
Plugin Name: vkbutton
Plugin URI: 
Author: EvilKant
Description: "Like" button for russian social net vk.com
*/

// Chech whether we are indeed included by Piwigo.
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

// Определяем директорию плагина
define('vkbutton_PATH', PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
define('vkbutton_Admin', get_root_url() . 'admin.php?page=plugin-' . basename(dirname(__FILE__)));

//Включаем перевод плагина
load_language('plugin.lang', vkbutton_PATH);

//Делаем пункт меню в админке
add_event_handler('get_admin_plugin_menu_links', 'vkbutton_admin_menu');

function vkbutton_admin_menu($menu) {
 array_push(
   $menu,
   array(
     'NAME'  => 'vkbutton',
     'URL'   => get_admin_plugin_menu_link(dirname(__FILE__)).'/admin.php'
   )
 );
 return $menu;
}

//описываем действия во время собырия loc_begin_index, ну тобишь выводим плагин на странице

add_event_handler('loc_begin_index', 'vkbutton_main');
add_event_handler('loc_begin_picture', 'vkbutton_main');

function vkbutton_main() {
	global $template, $page, $conf;
	
	$vkb_conf = @unserialize($conf['vkbutton']);
	
	if (isset($page['image_id'])){
	
		$result = pwg_query("SELECT id, name, path, comment
							FROM `piwigo_images`
							WHERE id = ".$page['image_id']);
		$row = pwg_db_fetch_assoc($result);
		$thumb = DerivativeImage::thumb_url($row);
		/*foreach ($page as $key => $value){
			echo $key.' = '.$value.'<br>';
		}*/

		if ($vkb_conf['pic_button_type']=='icon'){
			$template->assign('pic_button_type', 'custom');
			$template->assign('pic_button_type_text', '<img src=\"http://vk.com/images/vk32.png?1\" />');
			}else{
			$template->assign('pic_button_type', $vkb_conf['pic_button_type']);
			$template->assign('pic_button_type_text', 'сохранить');
			}
		$template->assign('pic_button_title', $row['name']);
		$template->assign('pic_button_comment', $row['comment']);
		$template->assign('pic_button_thumb', $thumb);
	}
	$template->assign('show_pic_button', $vkb_conf['show_pic_button']);
	
	if ($vkb_conf['main_button_type']=='icon'){
		$template->assign('main_button_type', 'custom');
		$template->assign('main_button_type_text', '<img src=\"http://vk.com/images/vk32.png?1\" />');
		}else{
		$template->assign('main_button_type', $vkb_conf['main_button_type']);
		$template->assign('main_button_type_text', 'сохранить');
		}
	$template->assign('record_title', $vkb_conf['record_title']);
	$template->assign('record_text', $vkb_conf['record_text']);
	$template->assign('record_img', $vkb_conf['record_img']);
	$template->assign('show_main_button', $vkb_conf['show_main_button']);
	
	//определяем адрес шаблона плагина
	$template->set_template_dir(vkbutton_PATH);
	$template->set_filename('vkbutton', 'vkbutton.tpl');
	$template->func_combine_css(array('path' => vkbutton_PATH.'style.css',));
		
	//объявляем где конкретно на странице должен вывестись наш шаблон плагина. Вся суть в 'PLUGIN_INDEX_CONTENT_BEFORE'.
	$template->concat('PLUGIN_INDEX_CONTENT_END',  $template->parse('vkbutton', true));
	
}
?>